Subject: [manet] OLSP IPv4 autoconfiguration

From: Marcos Antonio de Siqueira <[email-masked]>
Date: Wed, 24 Mar 2004 13:27:16 -0300 (EST)

Hi,
I have a question about IPv4 autoconfiguration and OLSR. If anybody could
help, I'd be glad!
Section 7 of RFC3626 comments about "Link Sensing" - stating that the
"Link Set" is filled when new neighbors are detected.

The RFC states that on the Link sensing process,
L_local_if_addr =  "Address of the interface which received the Hello
message".

Using OLSR over IPv4 would be helpful if the interfaces connected to the
same link had IP addresses on the same subnet. How OLSR could solve this
issue? 
But, if a new node is turned on, ad if it doesn't have any information
about the IP subnet address of the new neighbors, OLSR wouldn't work,
since it exchanges messages over UDP!!

How could this tie be undone?

Marcos Siqueira.
Campinas University, SP-BR.

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: Andreas T <[email-masked]>
Date: Wed, 24 Mar 2004 18:00:50 +0100

> How could this tie be undone?

One solution would be to broadcast OLSR control-traffic on 255.255.255.255.

-- 

-- 
Andreas Tønnesen([email-masked])
UniK University Graduation Center
University of Oslo
http://www.olsr.org